package com.ruoyi.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 监控单元类型对象 hw_monitor_unit_type
 * 
 * @author YINQ
 * @date 2023-08-31
 */
public class HwMonitorUnitType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 监控单元类型ID */
    private Long monitorUnitTypeId;

    /** 监控单元类型名称 */
    @Excel(name = "监控单元类型名称")
    private String monitorUnitTypeName;

    /** 虚拟标识 */
    @Excel(name = "虚拟标识")
    private String vitualFlag;

    /** 状态 */
    @Excel(name = "状态")
    private String monitorUnitTypeStatus;

    /** 语言code */
    @Excel(name = "语言code")
    private String languageCode;

    /** 通用标识（1：是，0：否） */
    @Excel(name = "通用标识", readConverterExp = "1=：是，0：否")
    private String commonFlag;

    /** 所属场景 */
    @Excel(name = "所属场景")
    private Long sceneId;

    /** 监控单元类型图标 */
    @Excel(name = "监控单元类型图标")
    private String unitTypeIcon;

    /** 预留字段 */
    @Excel(name = "预留字段")
    private String unitTypeField;

    public void setMonitorUnitTypeId(Long monitorUnitTypeId) 
    {
        this.monitorUnitTypeId = monitorUnitTypeId;
    }

    public Long getMonitorUnitTypeId() 
    {
        return monitorUnitTypeId;
    }
    public void setMonitorUnitTypeName(String monitorUnitTypeName) 
    {
        this.monitorUnitTypeName = monitorUnitTypeName;
    }

    public String getMonitorUnitTypeName() 
    {
        return monitorUnitTypeName;
    }
    public void setVitualFlag(String vitualFlag) 
    {
        this.vitualFlag = vitualFlag;
    }

    public String getVitualFlag() 
    {
        return vitualFlag;
    }
    public void setMonitorUnitTypeStatus(String monitorUnitTypeStatus) 
    {
        this.monitorUnitTypeStatus = monitorUnitTypeStatus;
    }

    public String getMonitorUnitTypeStatus() 
    {
        return monitorUnitTypeStatus;
    }
    public void setLanguageCode(String languageCode) 
    {
        this.languageCode = languageCode;
    }

    public String getLanguageCode() 
    {
        return languageCode;
    }
    public void setCommonFlag(String commonFlag) 
    {
        this.commonFlag = commonFlag;
    }

    public String getCommonFlag() 
    {
        return commonFlag;
    }
    public void setSceneId(Long sceneId) 
    {
        this.sceneId = sceneId;
    }

    public Long getSceneId() 
    {
        return sceneId;
    }
    public void setUnitTypeIcon(String unitTypeIcon) 
    {
        this.unitTypeIcon = unitTypeIcon;
    }

    public String getUnitTypeIcon() 
    {
        return unitTypeIcon;
    }
    public void setUnitTypeField(String unitTypeField) 
    {
        this.unitTypeField = unitTypeField;
    }

    public String getUnitTypeField() 
    {
        return unitTypeField;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("monitorUnitTypeId", getMonitorUnitTypeId())
            .append("monitorUnitTypeName", getMonitorUnitTypeName())
            .append("vitualFlag", getVitualFlag())
            .append("monitorUnitTypeStatus", getMonitorUnitTypeStatus())
            .append("languageCode", getLanguageCode())
            .append("commonFlag", getCommonFlag())
            .append("sceneId", getSceneId())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("unitTypeIcon", getUnitTypeIcon())
            .append("unitTypeField", getUnitTypeField())
            .toString();
    }
}
